Bug 88568 - USERCTL=yes no longer works with wireless nics
USERCTL=yes no longer works with wireless nics
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
: 88875 89034 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-04-10 18:45 EDT by Dax Kelson
Modified: 2007-04-18 12:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-11 07:00:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2003-04-10 18:45:13 EDT
Description of problem:

My laptop has a wireless NIC, I like to use USERCTL=yes to control the interface
a non-root user.  Recently, because of the KEY and ESSID lines being visible to
all users, the permissions changed to 600.  Now USERTCTL=yes no longer works.
Comment 1 Harald Hoyer 2003-04-17 06:43:47 EDT
*** Bug 89034 has been marked as a duplicate of this bug. ***
Comment 2 Bill Nottingham 2003-06-10 11:13:06 EDT
*** Bug 88875 has been marked as a duplicate of this bug. ***
Comment 3 Alex Lancaster 2003-08-11 06:52:50 EDT
This bug *still* appears to be present in the Harald Hoyer's updates latest
updates at: ftp://people.redhat.com/harald/redhat-config-network/1.2.15-RH9,
despite the fact that it's been around since April and there have been about
9-10 updates of that package since then.  

Is there a fundamental problem with fixing this bug?  I understand the possible
security issues, but it looks like James Clark already provided a possible
solution in #88875 (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=88875)

From a user point of view, especially when it's a Linux newbie, it's pretty
annoying.  These days setting up a wireless interface is about the first kind of
network device somebody will want to configure on a laptop and to have it
disappear from the Network Device Control dialog straight away is disconcerting
to say the least.  I'm really suprised that this hasn't made it into an official
erratta months ago, it really makes Red Hat look a little unprofessional.  Just
my $0.02.
Comment 4 Harald Hoyer 2003-08-11 07:00:03 EDT
will be fixed in the next product release... in rawhide there is already a
version which will work together with an initscripts update..

Note You need to log in before you can comment on or make changes to this bug.